# conda-forge has highest priority
channels:
  - defaults
  - bioconda
  - conda-forge
dependencies:
  # Jupyter dependencies
  - jupyterhub>=1.5,<2
  - jupyterlab>=3.5,<4.0
  - jupyterlab-lsp
  - jupyter-resource-usage
  - jupyterlab-topbar
  - jupyterlab-topbar-text
  - jupyterlab-system-monitor
  - nodejs
  - nbconvert
  - xeus-python
  - ipympl
  # Python environment
  - ipykernel
  - ipywidgets
  - widgetsnbextension
  - python
  - seaborn
  - pip
  - numpy
  - pandas<1.4.0
  - scipy
  - matplotlib
  - seaborn
  - biopython
  - scikit-image
  - scikit-learn
  # Jupyter archive
  - jupyter-archive
  - pip:
    # Print module version
    - plotly
    - datatile
    - catboost
    - watermark
    - nbgitpuller
    - nbgrader
    - jupyterlab_tabnine
    - jupyterlab-spreadsheet-editor
    # JupyterLab Variable inspector
    # https://github.com/lckr/jupyterlab-variableInspector
    - lckr-jupyterlab-variableinspector
